/*
 * @Author: Kane
 * @Date: 2023-03-01 23:38:12
 * @LastEditors: Kane
 * @FilePath: /task_schedule/tsconfig.json
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
{
    "compilerOptions": {
        "forceConsistentCasingInFileNames": true,
        "useDefineForClassFields": true,
        "target": "ES2015",
        "module": "ES2015",
        "moduleResolution": "node",
        "strict": true,
        "jsx": "preserve",
        "sourceMap": true,
        "resolveJsonModule": true,
        "esModuleInterop": false,
        "baseUrl": "./", // paths 路径解析起点
        "paths": { // 别名路径设置
            "@/*": [
                "src/*"
            ],
        },
        "lib": [
            "ES2015",
            "DOM"
        ],
        "types": [
            "vite/client"
        ]
    },
    "include": [
        "src/**/*.ts",
        "src/**/*.tsx",
        "src/**/*.vue",
        "*.d.ts",
        "src/router/index.d.ts",
    ],
    "exclude": [
        "./node_modules",
    ]
}